| LicenseSpring Management .Net SDK 1.16.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | List of all members
LicenseSpring.LicenseDetailsArrayWrapper Class Reference

LicenseDetailsArrayWrapper class, helper class for COM interop. More...

Inheritance diagram for LicenseSpring.LicenseDetailsArrayWrapper:

## Public Member Functions
void | Add (uint index, string LicenseKey, LicenseUser[] LicenseUsers, string ValidityDuration, string ValidityEndDate, string MaintenanceDuration, ConsumptionPeriod ConsumptionPeriod, uint MaxConsumptions, uint MaxOverages, int MaxTransfers, ProductFeature[] Features, LicenseType Type, uint MaxActivations, bool PreventVM, bool IsTrial, bool EnableMaintenancePeriod, bool AllowOverages, bool ResetConsumption, CustomField[] CustomFields)
| Create LicenseDetails object and add it to array.Parameters correspond to LicenseDetails properties
LicenseDetails[] | GetArray ()
| Get current array of LicenseDetails objects. Returns Array of LicenseDetails objects
void | Init (uint size)
  | Initialize array of provided size. Parameters
  size | Array size

## Detailed Description

LicenseDetailsArrayWrapper class, helper class for COM interop.

## Member Function Documentation

## ◆ Add()

void LicenseSpring.LicenseDetailsArrayWrapper.Add | ( | uint | index,
|  | string | LicenseKey,
|  | LicenseUser[] | LicenseUsers,
|  | string | ValidityDuration,
|  | string | ValidityEndDate,
|  | string | MaintenanceDuration,
|  | ConsumptionPeriod | ConsumptionPeriod,
|  | uint | MaxConsumptions,
|  | uint | MaxOverages,
|  | int | MaxTransfers,
|  | ProductFeature[] | Features,
|  | LicenseType | Type,
|  | uint | MaxActivations,
|  | bool | PreventVM,
|  | bool | IsTrial,
|  | bool | EnableMaintenancePeriod,
|  | bool | AllowOverages,
|  | bool | ResetConsumption,
|  | CustomField[] | CustomFields
| ) |  |

Create LicenseDetails object and add it to array.Parameters correspond to LicenseDetails properties

Implements LicenseSpring.ILicenseDetailsArrayWrapper.

## ◆ GetArray()

LicenseDetails[] LicenseSpring.LicenseDetailsArrayWrapper.GetArray | ( |  | ) |

Get current array of LicenseDetails objects.

Returns
  Array of LicenseDetails objects

Implements LicenseSpring.ILicenseDetailsArrayWrapper.

## ◆ Init()

void LicenseSpring.LicenseDetailsArrayWrapper.Init | ( | uint | size | ) |

Initialize array of provided size.

Parameters

  size | Array size

Implements LicenseSpring.ILicenseDetailsArrayWrapper.

The documentation for this class was generated from the following file:

- LicenseDetails.cs